summaryrefslogtreecommitdiff
path: root/tests/backref-word
diff options
context:
space:
mode:
Diffstat (limited to 'tests/backref-word')
-rwxr-xr-xtests/backref-word18
1 files changed, 18 insertions, 0 deletions
diff --git a/tests/backref-word b/tests/backref-word
new file mode 100755
index 0000000..e5b5486
--- /dev/null
+++ b/tests/backref-word
@@ -0,0 +1,18 @@
+#!/bin/sh
+# This would fail for grep-2.6
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+printf 'foo foo bar\n' > exp1 || framework_failure_
+fail=0
+
+for LOC in en_US.UTF-8 zh_CN $LOCALE_FR_UTF8; do
+ out=out1-$LOC
+ LC_ALL=$LOC grep -w '\(foo\) \1' exp1 > $out || fail=1
+ compare exp1 $out || fail=1
+
+ LC_ALL=$LOC grep -wx '\(foo\) \1' exp1 > $out
+ test $? -eq 1 || fail=1
+ compare /dev/null $out || fail=1
+done
+
+Exit $fail